#
# spec file for package deepin-icon-theme
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define name1 deepin-launcher
%define deepin_launcher_version %(rpm -q --queryformat '%%{VERSION}' deepin-launcher)

Name:           deepin-icon-theme
Version:        2021.11.24
Release:        bp156.3.1
Summary:        Icons Theme
License:        GPL-3.0-or-later
Group:          System/GUI/Other
URL:            https://github.com/linuxdeepin/deepin-icon-themels
Source0:        https://github.com/linuxdeepin/deepin-icon-theme/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  deepin-launcher
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  xcursorgen
BuildArch:      noarch

%description
Icons for the Deepin Desktop Environment.

%package vintage
Summary:        Vintage icon theme for Deepin
Group:          System/GUI/Other

%description vintage
Vintage icons for the Deepin Desktop Environment.

%package -n deepin-launcher-branding-upstream
Summary:        Upstream branding for deepin-launcher
Group:          System/GUI/Other
Version:        %{deepin_launcher_version}
Release:        bp156.3.1
Requires:       %{name1} = %{version}
Provides:       %{name1}-branding = %{version}
Conflicts:      otherproviders(%{name1}-branding)
Supplements:    packageand(deepin-launcher:branding-upstream)

%description -n deepin-launcher-branding-upstream
Upstream branding for deepin-launcher icon.

%prep
%autosetup -p1
sed -i 's/python/python3/g' Makefile
# https://github.com/linuxdeepin/deepin-icon-theme/pull/30
find . -path ./tools -prune -false -o -type f -exec chmod 0644 \{\} +

%build
make check-perm
%make_build

%install
%make_install
%fdupes %{buildroot}%{_datadir}/icons/bloom*
%fdupes %{buildroot}%{_datadir}/icons/Vintage

%files
%doc CHANGELOG.md
%license LICENSE
%{_datadir}/icons/bloom
%{_datadir}/icons/bloom-*
%exclude %{_datadir}/icons/bloom/places/*/deepin-launcher.svg
%exclude %{_datadir}/icons/bloom-*/places/*/deepin-launcher.svg

%files vintage
%license LICENSE
%{_datadir}/icons/Vintage

%files -n deepin-launcher-branding-upstream
%license LICENSE
%{_datadir}/icons/bloom/places/*/deepin-launcher.svg
%{_datadir}/icons/bloom-*/places/*/deepin-launcher.svg

%changelog
* Sat Feb 19 2022 Hillwood Yang <hillwood@opensuse.org>
- Update version to 2021.11.24
  * Fix soft link error
  * Add some new icons
  * Fix bugs
  * Update many app icons for themes support
- Drop 0001-fix-Makefile-s-install-target.patch, 0001-Fix-broken-symlinks.patch
  0001-fix-fix-litian.patch, 0002-fix-soft-link-error.patch
* Mon Jun  7 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 2021.03.12
  * Add Vintage theme
  * fix some icons in Vintage
- Replaced deepin-icon-theme_fix-makefile.patch with
  0001-fix-Makefile-s-install-target.patch
- Added upstream patches
  * 0001-fix-fix-litian.patch
  * 0002-fix-soft-link-error.patch
- Replaced manual symlinking in %%install section with upstreamed
  0001-Fix-broken-symlinks.patch
* Thu Feb 25 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 2020.09.25
  * Update some icons
* Sat May  9 2020 Hillwood Yang <hillwood@opensuse.org>
- Update version to 15.12.74
  * Update device manager icons and several other icons
* Mon Jul 29 2019 Hillwood Yang <hillwood@opensuse.org>
- Update version to 15.12.71
  * Fix missing fcitx input icons
  * Fix small details of cursors
  * Update pdate cursor theme for kwin
* Fri Apr 19 2019 Hillwood Yang <hillwood@opensuse.org>
- Fix deepin-launcher-branding-upstream install
* Thu Apr 18 2019 Hillwood Yang <hillwood@opensuse.org>
- Update version to 15.12.69
  * Fix efault icon name of sqlite db mimetype
  * Fix default icon name of flac mimetype
  * Fix default icon name of ttf mimetype
  * Fix not install cursor icons
  * Make fctix tray icon seem larger on hiDPI
  * Remove dde.svg
  * Resolve file conflicts with other packages
  * Fix let deepin cursor theme inherit deepin
  * Adapt lintian
  * Add deepin-virtualkeyboard icons
  * Add stack folder icons and redesigned deepin-launcher icons
  * Update some trayicons
  * Update shutdown icons and fix
  * Update action icons
  * Finished Mimetype ,Places and Devices icons
  * Add a new theme
  * Make fctix tray icon seem larger on hiDPI
  * Remove dde.svg ([c80ce849](c80ce849))
  * Add iphone and android phone icons
  * Redesigned compressed file icons
  * Redesigned microsoft office document icons
- Add deepin-icon-theme_fix-makefile.patch, fix makefile.
* Mon Mar 26 2018 hillwood@opensuse.org
- Update version to 15.12.54
  * Fix battery symbolic icons in status/64
  * Add some deepin app icons
  * Update someother icons
* Sun Nov 12 2017 hillwood@opensuse.org
- Cleanup spec.
  * Add group tag.
  * Update description.
  * Fix permission for css icon files.
  * Use %%fdupes macro.
* Tue Oct  3 2017 sensor.wen@gmail.com
- Initial package.
